package com.jsowell.adapay.vo;

import lombok.*;

import java.util.Objects;

/**
 * 付款信息对象
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PaymentInfo {
    // 支付id
    private String paymentId;

    // 金额
    private String amount;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PaymentInfo that = (PaymentInfo) o;
        return paymentId.equals(that.paymentId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(paymentId);
    }
}
